## ros-kinetic-rocon-device-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_device_msgs)

##############################################################################
# Dependencies
##############################################################################

set(${PROJECT_NAME}_MSG_DEPENDENCIES
    std_msgs
    rocon_std_msgs
)

find_package(catkin REQUIRED
  COMPONENTS message_generation ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Messages
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  Hue.msg
  HueState.msg
  HueArray.msg
  Device.msg
  Devices.msg
  )

add_service_files(
  DIRECTORY srv
  FILES
  GetDeviceList.srv
  )

generate_messages(DEPENDENCIES ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS message_runtime ${${PROJECT_NAME}_MSG_DEPENDENCIES})

=== debian/changelog ===
ros-kinetic-rocon-device-msgs (0.9.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 12 Oct 2016 01:28:53 -0000

ros-kinetic-rocon-device-msgs (0.7.12-1xenial) xenial; urgency=high

  * rename name to label
  * add srv and device info
  * add devices messages
  * Contributors: Jihoon Lee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.11-1xenial) xenial; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 26 May 2015 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.10-1xenial) xenial; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.9-1xenial) xenial; urgency=high

  * change hue color name
  * delete unused pre-defined color
  * update cmake #101 <https://github.com/robotics-in-concert/rocon_msgs/issues/101>
  * clean up message as modification of rocon hue
  * Contributors: Jihoon Lee, dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.8-1xenial) xenial; urgency=high

  * fixed make rule
  * create hue set color message
  * Contributors: dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.6-1xenial) xenial; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.4-1xenial) xenial; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 04 May 2014 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.3-1xenial) xenial; urgency=high

  * refactor rocon_devices_msgs -> rocon_device_msgs.

 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.7.2-1xenial) xenial; urgency=high

  * remove project files, update package version and add rocon_device_mssgs in meta package
  * create rocon_devices message package and hue controller msg
  * Contributors: DongWook Lee, Jihoon Lee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-device-msgs (0.1.0-1xenial) xenial; urgency=high

  * create devices msg
  * add hue controller msg

 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 08 Apr 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-device-msgs
Section: misc
Priority: extra
Maintainer: Dongwook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-rocon-std-msgs, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-device-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-rocon-std-msgs, ros-kinetic-std-msgs
Description: Messages used by rocon devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-device-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
